<?xml version="1.0"?>
<xsl:stylesheet version="2.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="friends">
        <html>
            <head>
                <title>
                    My Friends
                </title>
            </head>
            <body>
                <h1>
                    My Friends
                </h1>
                <table border="1">
                    <td>Name</td>
                    <td>Age</td>
                    <td>Weight</td>
                    <td>Height</td>
                    <xsl:apply-templates/>
                </table>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="friend">
       <TR>
          <TD><xsl:value-of select="name"/></TD>
          <TD><xsl:apply-templates select="age"/></TD>
          <TD><xsl:apply-templates select="weight"/></TD>
          <TD><xsl:apply-templates select="height"/></TD>
       </TR>
   </xsl:template>
    
    <xsl:template match="age">
        <xsl:value-of select="."/>
        <xsl:text> </xsl:text>
        <xsl:value-of select="@units"/>
    </xsl:template>

    <xsl:template match="weight">
        <xsl:value-of select="."/>
        <xsl:text> </xsl:text>
        <xsl:value-of select="@units"/>
    </xsl:template>
    
    <xsl:template match="height">
        <xsl:value-of select="."/>
        <xsl:text> </xsl:text>
        <xsl:value-of select="@units"/>
    </xsl:template>
</xsl:stylesheet>
